[arch-commits] Commit in evolution-data-server/repos/extra-x86_64 (PKGBUILD PKGBUILD)

Jan Steffens heftig at archlinux.org
Fri Jul 3 17:15:11 UTC 2020


    Date: Friday, July 3, 2020 @ 17:15:10
  Author: heftig
Revision: 390805

archrelease: copy trunk to extra-x86_64

Added:
  evolution-data-server/repos/extra-x86_64/PKGBUILD
    (from rev 390803, evolution-data-server/trunk/PKGBUILD)
Deleted:
  evolution-data-server/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |  100 +++++++++++++++++++++++++++++++------------------------------
 1 file changed, 51 insertions(+), 49 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-07-03 17:15:09 UTC (rev 390804)
+++ PKGBUILD	2020-07-03 17:15:10 UTC (rev 390805)
@@ -1,49 +0,0 @@
-# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
-# Maintainer: Jan de Groot <jgc at archlinux.org>
-
-pkgname=evolution-data-server
-pkgver=3.36.3
-pkgrel=2
-pkgdesc="Centralized access to appointments and contacts"
-url="https://wiki.gnome.org/Apps/Evolution"
-arch=(x86_64)
-depends=(gnome-online-accounts nss krb5 libgweather libical db libgdata libphonenumber)
-makedepends=(intltool gperf gobject-introspection vala gtk-doc boost git cmake ninja)
-provides=(libcamel-1.2.so libebackend-1.2.so libebook-1.2.so libebook-contacts-1.2.so
-          libecal-2.0.so libedata-book-1.2.so libedata-cal-2.0.so libedataserver-1.2.so
-          libedataserverui-1.2.so)
-license=(GPL)
-_commit=f58afb0709c41fdf3222c5814389d45631ef0a4b  # tags/3.36.3^0
-source=("git+https://gitlab.gnome.org/GNOME/evolution-data-server.git#commit=$_commit")
-sha256sums=('SKIP')
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed 's/^EVOLUTION_DATA_SERVER_//;s/_/./g;s/-/+/g'
-}
-
-prepare() {
-  cd $pkgname
-}
-
-build() {
-  cmake -H$pkgname -Bbuild -G Ninja \
-    -DCMAKE_INSTALL_PREFIX=/usr \
-    -DLIBEXEC_INSTALL_DIR=/usr/lib \
-    -DSYSCONF_INSTALL_DIR=/etc \
-    -DENABLE_INTROSPECTION=ON \
-    -DENABLE_VALA_BINDINGS=ON \
-    -DENABLE_GTK_DOC=ON \
-    -DWITH_PHONENUMBER=ON
-  cmake --build build
-}
-
-check() {
-  # libedata-book tests fail because they try to
-  # mkdir /usr/lib/evolution-data-server/camel-providers
-  cmake --build build --target test || :
-}
-
-package() {
-  DESTDIR="$pkgdir" cmake --build build --target install
-}

Copied: evolution-data-server/repos/extra-x86_64/PKGBUILD (from rev 390803, evolution-data-server/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-07-03 17:15:10 UTC (rev 390805)
@@ -0,0 +1,51 @@
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=evolution-data-server
+pkgver=3.36.4
+pkgrel=1
+pkgdesc="Centralized access to appointments and contacts"
+url="https://wiki.gnome.org/Apps/Evolution"
+arch=(x86_64)
+depends=(gnome-online-accounts nss krb5 libgweather libical db libgdata libphonenumber)
+makedepends=(intltool gperf gobject-introspection vala gtk-doc boost git cmake ninja)
+provides=(libcamel-1.2.so libebackend-1.2.so libebook-1.2.so libebook-contacts-1.2.so
+          libecal-2.0.so libedata-book-1.2.so libedata-cal-2.0.so libedataserver-1.2.so
+          libedataserverui-1.2.so)
+license=(GPL)
+_commit=e3ce982c52aac2b094c6bc7fca7b746213714222  # tags/3.36.4^0
+source=("git+https://gitlab.gnome.org/GNOME/evolution-data-server.git#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/^EVOLUTION_DATA_SERVER_//;s/_/./g;s/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+}
+
+build() {
+  CFLAGS+=" $CPPFLAGS"
+  CXXFLAGS+=" $CPPFLAGS"
+  cmake -H$pkgname -Bbuild -G Ninja \
+    -DCMAKE_INSTALL_PREFIX=/usr \
+    -DLIBEXEC_INSTALL_DIR=/usr/lib \
+    -DSYSCONF_INSTALL_DIR=/etc \
+    -DENABLE_INTROSPECTION=ON \
+    -DENABLE_VALA_BINDINGS=ON \
+    -DENABLE_GTK_DOC=ON \
+    -DWITH_PHONENUMBER=ON
+  cmake --build build
+}
+
+check() {
+  # libedata-book tests fail because they try to
+  # mkdir /usr/lib/evolution-data-server/camel-providers
+  cmake --build build --target test || :
+}
+
+package() {
+  DESTDIR="$pkgdir" cmake --build build --target install
+}


More information about the arch-commits mailing list